Description

Hi

I need to change the outline colour of symbollayers via python. I thought I would be able to do so using the following example:

mySymbolLayer = QgsSimpleMarkerSymbolLayerV2()

mySymbolLayer.setColor(myColour)

mySymbolLayer.setBorderColor(myColour)

mySymbol.changeSymbolLayer(0, mySymbolLayer)

However it seems htat QgsSimpleMarkerSymbolLayerV2 is not exposed via the python API. Am I missing something or can you add it to

the api?

Thanks

Tim

History

#1 - 2012-01-19 11:45 PM - Martin Dobias

Hi Tim

in meanwhile you can construct the symbol layers indirectly by specifying the symbol layer type and a set of properties:

>>> meta=QgsSymbolLayerV2Registry.instance().symbolLayerMetadata("SimpleMarker")

>>> sl=meta.createSymbolLayer( { "name" : "star", "size" : "5", "color" : "255,0,0", "color_border" : "0,0,0" } )

#2 - 2012-01-20 07:43 AM - Tim Sutton

Hi Martin

OK brilliant thanks, I will test that. I will leave the ticket open in the meantime until bindings are available.

Regards
Tim

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2013-07-24 05:35 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Seems bindings already added, see https://github.com/qgis/Quantum-GIS/blob/master/python/core/symbology-ng/qgsmarkersymbollayerv2.sip
